loci.formats.in

## Class SlideBook7Reader.CSlideRecord70

- java.lang.Object
- - loci.formats.in.SlideBook7Reader.ClassDecoder
  - - loci.formats.in.SlideBook7Reader.CSlideRecord70

- Enclosing class:
    SlideBook7Reader

      class SlideBook7Reader.CSlideRecord70
      extends SlideBook7Reader.ClassDecoder

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.lang.Integer` | `mByteOrdering`
    `java.lang.Integer` | `mCaptureStatus`
    `java.lang.Long` | `mCheckpointImagePtr`
    `java.lang.Integer` | `mCheckpointMaxImages`
    `java.lang.Integer` | `mCheckpointNumImages`
    `java.lang.Integer` | `mDemoFlag`
    `java.lang.Integer[]` | `mFileVersion`
    `java.lang.Integer` | `mHardwareFileLen`
    `java.lang.Integer` | `mHardwareFileOffset`
    `java.lang.Integer` | `mHighestCount`
    `java.lang.Long` | `mImagePtr`
    `java.lang.String` | `mName`
    `java.lang.Integer` | `mNotesLen`
    `java.lang.Long` | `mNotesPtr`
    `java.lang.Integer` | `mNumImages`
    `java.lang.Integer` | `mPrefsFileLen`
    `java.lang.Integer` | `mPrefsOffset`
    `java.lang.String` | `mProjectFolder`
    `java.lang.String` | `mSpecialBuildStr`
    `java.lang.Integer` | `mStructLen`
    `java.lang.Integer` | `mStructVersion`
    `java.lang.Integer` | `mUncompactedSpace`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CSlideRecord70()`

  - ### Method Summary

    - ### Methods inherited from class loci.formats.in.SlideBook7Reader.ClassDecoder

      `Decode, Decode, DecodeUnknownString, FindNextClass, GetDoubleArray, GetFloatArray, GetIntegerArray, GetIntegerValue, GetLongArray, GetSBClassName, GetStringArray, GetStringValue, RestoreSpecialCharacters`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### mStructVersion

          public java.lang.Integer mStructVersion

    - #### mByteOrdering

          public java.lang.Integer mByteOrdering

    - #### mStructLen

          public java.lang.Integer mStructLen

    - #### mNotesLen

          public java.lang.Integer mNotesLen

    - #### mNumImages

          public java.lang.Integer mNumImages

    - #### mNotesPtr

          public java.lang.Long mNotesPtr

    - #### mImagePtr

          public java.lang.Long mImagePtr

    - #### mPrefsFileLen

          public java.lang.Integer mPrefsFileLen

    - #### mPrefsOffset

          public java.lang.Integer mPrefsOffset

    - #### mHardwareFileOffset

          public java.lang.Integer mHardwareFileOffset

    - #### mHighestCount

          public java.lang.Integer mHighestCount

    - #### mUncompactedSpace

          public java.lang.Integer mUncompactedSpace

    - #### mCheckpointNumImages

          public java.lang.Integer mCheckpointNumImages

    - #### mCheckpointImagePtr

          public java.lang.Long mCheckpointImagePtr

    - #### mCheckpointMaxImages

          public java.lang.Integer mCheckpointMaxImages

    - #### mHardwareFileLen

          public java.lang.Integer mHardwareFileLen

    - #### mCaptureStatus

          public java.lang.Integer mCaptureStatus

    - #### mDemoFlag

          public java.lang.Integer mDemoFlag

    - #### mName

          public java.lang.String mName

    - #### mProjectFolder

          public java.lang.String mProjectFolder

    - #### mSpecialBuildStr

          public java.lang.String mSpecialBuildStr

    - #### mFileVersion

          public java.lang.Integer[] mFileVersion

  - ### Constructor Detail

    - #### CSlideRecord70

          CSlideRecord70()

Copyright © 2026 Open Microscopy Environment